> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# screening



## OpenAPI

````yaml PEPS post /searchEntityScreening
openapi: 3.0.0
info:
  title: PEPS
  description: peps
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/peps
security: []
paths:
  /searchEntityScreening:
    post:
      tags:
        - default
      summary: screening
      parameters:
        - name: X-token
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: authentication token from getAcessToken response
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                data:
                  - id: '3431145'
                    type: RiskEntities
                    attributes:
                      type: Person
                      primary_name: Smith, John
                      title: ''
                      country_territory_code: INDON
                      country_territory_name: Indonesia
                      gender: Male
                      is_subsidiary: false
                      score: '1.0'
                      icon_hints:
                        - SI-LT
                      countries_territories:
                        - type: Citizenship
                          code: INDON
                        - type: Resident of
                          code: INDON
                        - type: Country of Reported Allegation
                          code: INDON
                      date_of_birth:
                        - day: ''
                          month: ''
                          year: '1992'
                        - day: ''
                          month: ''
                          year: '1993'
                      matched_criteria:
                        date_of_birth: {}
                        name:
                          name: John Smith
                        type:
                          type: Precise
                          is_linguistic_variation: false
                          is_non_linguistic_variation: false
                          is_structural_variation: false
                  - id: '369665'
                    type: RiskEntities
                    attributes:
                      type: Person
                      primary_name: Smith, John Jane
                      title: See Previous Roles
                      country_territory_code: USA
                      country_territory_name: United States
                      gender: Male
                      is_subsidiary: false
                      score: '1.0'
                      icon_hints:
                        - PEP
                      countries_territories:
                        - type: Citizenship
                          code: USA
                        - type: Resident of
                          code: USA
                        - type: Jurisdiction
                          code: USA
                        - type: Jurisdiction
                          code: INTERNATIONAL
                      date_of_birth:
                        - day: '19'
                          month: '8'
                          year: '1946'
                      matched_criteria:
                        date_of_birth: {}
                        name:
                          name: John Jane Smith
                        type:
                          type: Precise
                          is_linguistic_variation: false
                          is_non_linguistic_variation: false
                          is_structural_variation: false
      responses:
        '200':
          description: Successful response
      security:
        - bearerAuth: []
        - default: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````